İçeriğe geç

Avatars Text to Video

Entegre et

Model kimliği argil/avatars/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/argil/avatars/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "avatar": "Mia outdoor (UGC)",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice": "Rachel"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Çalıştırma başına $1,058 değerine kadar gerçek kullanıma göre ücretlendirilir, kalanı iade edilir Bu sayfada çalıştır

API anahtarı al
Argil Dudak Senkronizasyonu ve Avatarlar Dudak senkronizasyonu

Yazılan metni önceden tanımlı listeden seçilen bir sesle konuşan sunucu avatarı videosuna dönüştürür

Argil · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli
•gerekli
•gerekli
POST /run/argil/avatars/text-to-video?wait=20 fiyat → $1,058
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/argil/avatars/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "avatar": "Mia outdoor (UGC)",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice": "Rachel"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Avatars Text to Video hakkında

Önceden tanımlı bir avatar seçin, söylemesini istediğiniz `text` değerini yazın ve izin verilen adlardan bir `voice` seçin. Konuşma metinden sentezlendiği için ses dosyası gerekmez. `remove_background` arka planı kaldırabilir. Yanıt; videoyu, işaretlenmiş durum ve transkripsiyon gibi moderasyon alanlarını içerir.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
avatargerekli
Türenum
Mia outdoor (UGC)Lara (Masterclass)Ines (UGC)Maria (Masterclass)Emma (UGC)Sienna (Masterclass)Elena (UGC)Jasmine (Masterclass)Amara (Masterclass)Ryan podcast (UGC)Tyler (Masterclass)Jayse (Masterclass)Paul (Masterclass)Matteo (UGC)Daniel car (UGC)Dario (Masterclass)
+12 tane dahaViva (Masterclass)Chen (Masterclass)Alex (Masterclass)Vanessa (UGC)Laurent (UGC)Noemie car (UGC)Brandon (UGC)Byron (Masterclass)Calista (Masterclass)Milo (Masterclass)Fabien (Masterclass)Rose (UGC)
textgerekli
Türstring
voicegerekli
Türenum
RachelClydeRogerSarahLauraThomasCharlieGeorgeCallumRiverHarryLiamAliceMatildaWillJessica
+4 tane dahaLillyBillOxleyLuna
remove_backgroundisteğe bağlı
Türboolean
Varsayılanfalse
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "argil/avatars/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1058,
    "usd": "1.058",
    "charged": 1058,
    "refunded": 0
  },
  "input": {
    "avatar": "Mia outdoor (UGC)",
    "text": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "voice": "Rachel"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "moderation_flagged": false,
    "moderation_transcription": "string",
    "moderation_error": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size} | null
moderation_flagged
boolean
moderation_transcription
string | null
moderation_error
string | null

Daha fazla model: Dudak Senkronizasyonu ve Avatarlar

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/argil/avatars/text-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt